# WOK
TKWOK
MS

# MS_Param Class Reference

`#include <MS_Param.hxx>`

Inheritance diagram for MS_Param:

[legend]

## Public Member Functions

Standard_EXPORT | MS_Param (const Handle(MS_Method)&aMethod, const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT void | Method (const Handle(MS_Method)&aMethod)
Standard_EXPORT Standard_Boolean | IsIn () const
Standard_EXPORT Standard_Boolean | IsOut () const
Standard_EXPORT Standard_Boolean | IsImmutable () const
Standard_EXPORT Standard_Boolean | IsMutable () const
Standard_EXPORT Standard_Boolean | IsAny () const
Standard_EXPORT void | AccessMode (const Standard_Integer aMode)
Standard_EXPORT Standard_Integer | GetAccessMode () const
Standard_EXPORT void | Type (const Handle(TCollection_HAsciiString)&aTypeName)
Standard_EXPORT void | Type (const Handle(TCollection_HAsciiString)&aTypeName, const Handle(TCollection_HAsciiString)&aPackName)
Standard_EXPORT Handle_MS_Type | Type () const
Standard_EXPORT Handle_TCollection_HAsciiString | TypeName () const
Standard_EXPORT void | Like (const Standard_Boolean aLike)
Standard_EXPORT Standard_Boolean | IsLike () const
Standard_EXPORT void | ItsItem ()
Standard_EXPORT void | ItsNotItem ()
Standard_EXPORT Standard_Boolean | IsItem () const
virtual Standard_EXPORT MS_TypeOfValue | GetValueType () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MS_MethodPtr | myMethod
Standard_Integer | myAccessMode
Handle_TCollection_HAsciiString | myType

## Constructor & Destructor Documentation

Standard_EXPORT MS_Param::MS_Param | ( | const Handle(MS_Method)& | aMethod,
|  | const Handle(TCollection_HAsciiString)& | aName
| ) |

## Member Function Documentation

Standard_EXPORT void MS_Param::AccessMode | ( | const Standard_Integer | aMode | ) |

Standard_EXPORT Standard_Integer MS_Param::GetAccessMode | ( |  | ) | const

virtual Standard_EXPORT MS_TypeOfValue MS_Param::GetValueType | ( |  | ) | const`[virtual]`

| Reimplemented in MS_ParamWithValue.

Standard_EXPORT const MS_Param::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_Common. Reimplemented in MS_ParamWithValue.

Standard_EXPORT Standard_Boolean MS_Param::IsAny | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Param::IsImmutable | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Param::IsIn | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Param::IsItem | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Param::IsLike | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Param::IsMutable | ( |  | ) | const

Standard_EXPORT Standard_Boolean MS_Param::IsOut | ( |  | ) | const

Standard_EXPORT void MS_Param::ItsItem | ( |  | ) |

Standard_EXPORT void MS_Param::ItsNotItem | ( |  | ) |

Standard_EXPORT void MS_Param::Like | ( | const Standard_Boolean | aLike | ) |

Standard_EXPORT void MS_Param::Method | ( | const Handle(MS_Method)& | aMethod | ) |

Standard_EXPORT Handle_MS_Type MS_Param::Type | ( |  | ) | const

Standard_EXPORT void MS_Param::Type | ( | const Handle(TCollection_HAsciiString)& | aTypeName,
|  | const Handle(TCollection_HAsciiString)& | aPackName
| ) |

Standard_EXPORT void MS_Param::Type | ( | const Handle(TCollection_HAsciiString)& | aTypeName | ) |

Standard_EXPORT Handle_TCollection_HAsciiString MS_Param::TypeName | ( |  | ) | const

## Field Documentation

Standard_Integer MS_Param::myAccessMode `[private]`

MS_MethodPtr MS_Param::myMethod `[private]`

Handle_TCollection_HAsciiString MS_Param::myType `[private]`

The documentation for this class was generated from the following file:

- MS_Param.hxx